/*
 * Calibration.h
 *
 *  Created on: 03/09/2015
 *      Author: kentm
 */

#ifndef NVM_H_
#define NVM_H_
#include <stdbool.h>
#include <stdint.h>
#include "eeprom.h"

#define NVM_Format	0								// variable index of dta format specifier
#define NVM_Last NB_OF_VAR					// last variable
#define EEFORMAT 6									// value of format field, change when data changes

typedef uint16_t NMVVar_t;

void InitNVM(void);
bool NVMSet(uint8_t idx,NMVVar_t val);
bool NVMGet(uint8_t idx,void * val,uint16_t size);

#define NVM_GET(Select, Variable) NVMGet(Select, &(Variable), sizeof(Variable))

#endif /* CALIBRATION_H_ */
